Package org.springframework.security.access.method

# Class AbstractMethodSecurityMetadataSource

java.lang.Object
org.springframework.security.access.method.AbstractMethodSecurityMetadataSource

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `MethodSecurityMetadataSource`, `SecurityMetadataSource`

Direct Known Subclasses:
  `AbstractFallbackMethodSecurityMetadataSource`, `DelegatingMethodSecurityMetadataSource`, `PrePostAnnotationSecurityMetadataSource`

@Deprecated public abstract class AbstractMethodSecurityMetadataSource extends Object implements MethodSecurityMetadataSource
Deprecated.
Use the `use-authorization-manager` attribute for `<method-security>` and `<intercept-methods>` instead or use annotation-based or `AuthorizationManager`-based authorization
Abstract implementation of `MethodSecurityMetadataSource` which resolves the secured object type to a MethodInvocation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`AbstractMethodSecurityMetadataSource()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`final Collection<ConfigAttribute>`
`getAttributes(Object object)`
Deprecated.
Accesses the `ConfigAttribute`s that apply to a given secure object.
`final boolean`
`supports(Class<?> clazz)`
Deprecated.
Indicates whether the `SecurityMetadataSource` implementation is able to provide `ConfigAttribute`s for the indicated secure object type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.access.method.MethodSecurityMetadataSource

`getAttributes`

### Methods inherited from interface org.springframework.security.access.SecurityMetadataSource

`getAllConfigAttributes`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger
Deprecated.

## Constructor Details

### AbstractMethodSecurityMetadataSource

public AbstractMethodSecurityMetadataSource()
Deprecated.

## Method Details

### getAttributes

public final Collection<ConfigAttribute> getAttributes(Object object)
Deprecated.
Description copied from interface: `SecurityMetadataSource`
Accesses the `ConfigAttribute`s that apply to a given secure object.

Specified by:
  `getAttributes` in interface `SecurityMetadataSource`
Parameters:
  `object` - the object being secured
Returns:
  the attributes that apply to the passed in secured object. Should return an empty collection if there are no applicable attributes.

### supports

public final boolean supports(Class<?> clazz)
Deprecated.
Description copied from interface: `SecurityMetadataSource`
Indicates whether the `SecurityMetadataSource` implementation is able to provide `ConfigAttribute`s for the indicated secure object type.

Specified by:
  `supports` in interface `SecurityMetadataSource`
Parameters:
  `clazz` - the class that is being queried
Returns:
  true if the implementation can process the indicated class